#pragma once
#include "FileRepository.h"
#include "../exceptions/exceptions.h"
#include "../domain/trench.h"
#include <string>
#include <vector>
#include <fstream>
#include <iostream>

class HTMLRepository : public FileRepository {
    private:
        std::string _fileName;
        void saveToFile() override;
    public:
        HTMLRepository(std::string fileName);
        ~HTMLRepository();
        void open() override;
        
};




